HDF: java/src/jni/hdfanImp.h File Reference

Please, help us to better serve our user community by answering the following short survey: https://www.hdfgroup.org/website-survey/

| HDF 4.4.0 API Reference |

Loading...
Searching...
No Matches
hdfanImp.h File Reference
`#include <jni.h>`

## Functions
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_ANstart (JNIEnv *env, jclass clss, jlong file_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANend (JNIEnv *env, jclass clss, jlong anid)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANfileinfo (JNIEnv *env, jclass clss, jlong anid, jintArray info)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_ANselect (JNIEnv *env, jclass clss, jlong anid, jint index, jint anntype)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANendaccess (JNIEnv *env, jclass clss, jlong ann_id)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANnumann (JNIEnv *env, jclass clss, jlong an_id, jint anntype, jshort tag, jshort ref)
JNIEXPORT jshort JNICALL | Java_hdf_hdflib_HDFLibrary_ANatype2tag (JNIEnv *env, jclass clss, jint antype)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANtag2atype (JNIEnv *env, jclass clss, jint antag)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANannlist (JNIEnv *env, jclass clss, jlong an_id, jint anntype, jshort tag, jshort ref, jintArray annlist)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANannlen (JNIEnv *env, jclass clss, jlong ann_id)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANreadann (JNIEnv *env, jclass clss, jlong ann_id, jobjectArray annbuf, jint maxlen)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANcreate (JNIEnv *env, jclass clss, jlong an_id, jshort tag, jshort ref, jint type)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_ANcreatef (JNIEnv *env, jclass clss, jlong an_id, jint type)
JNIEXPORT jint JNICALL | Java_hdf_hdflib_HDFLibrary_ANget_1tagref (JNIEnv *env, jclass clss, jlong an_id, jint index, jint type, jshortArray tagref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANid2tagref (JNIEnv *env, jclass clss, jlong an_id, jshortArray tagref)
JNIEXPORT jlong JNICALL | Java_hdf_hdflib_HDFLibrary_ANtagref2id (JNIEnv *env, jclass clss, jlong an_id, jshort tag, jshort ref)
JNIEXPORT jboolean JNICALL | Java_hdf_hdflib_HDFLibrary_ANwriteann (JNIEnv *env, jclass clss, jlong ann_id, jstring label, jint ann_length)

## Function Documentation

## ◆ Java_hdf_hdflib_HDFLibrary_ANannlen()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANannlen | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ann_id )

## ◆ Java_hdf_hdflib_HDFLibrary_ANannlist()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANannlist | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jint | anntype,
|  | jshort | tag,
|  | jshort | ref,
|  | jintArray | annlist )

## ◆ Java_hdf_hdflib_HDFLibrary_ANatype2tag()

JNIEXPORT jshort JNICALL Java_hdf_hdflib_HDFLibrary_ANatype2tag | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | antype )

## ◆ Java_hdf_hdflib_HDFLibrary_ANcreate()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANcreate | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jshort | tag,
|  | jshort | ref,
|  | jint | type )

## ◆ Java_hdf_hdflib_HDFLibrary_ANcreatef()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_ANcreatef | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jint | type )

## ◆ Java_hdf_hdflib_HDFLibrary_ANend()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANend | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | anid )

## ◆ Java_hdf_hdflib_HDFLibrary_ANendaccess()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANendaccess | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ann_id )

## ◆ Java_hdf_hdflib_HDFLibrary_ANfileinfo()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANfileinfo | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | anid,
|  | jintArray | info )

## ◆ Java_hdf_hdflib_HDFLibrary_ANget_1tagref()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANget_1tagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jint | index,
|  | jint | type,
|  | jshortArray | tagref )

## ◆ Java_hdf_hdflib_HDFLibrary_ANid2tagref()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANid2tagref | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jshortArray | tagref )

## ◆ Java_hdf_hdflib_HDFLibrary_ANnumann()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANnumann | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jint | anntype,
|  | jshort | tag,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_ANreadann()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANreadann | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ann_id,
|  | jobjectArray | annbuf,
|  | jint | maxlen )

## ◆ Java_hdf_hdflib_HDFLibrary_ANselect()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_ANselect | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | anid,
|  | jint | index,
|  | jint | anntype )

## ◆ Java_hdf_hdflib_HDFLibrary_ANstart()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_ANstart | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | file_id )

## ◆ Java_hdf_hdflib_HDFLibrary_ANtag2atype()

JNIEXPORT jint JNICALL Java_hdf_hdflib_HDFLibrary_ANtag2atype | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jint | antag )

## ◆ Java_hdf_hdflib_HDFLibrary_ANtagref2id()

JNIEXPORT jlong JNICALL Java_hdf_hdflib_HDFLibrary_ANtagref2id | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | an_id,
|  | jshort | tag,
|  | jshort | ref )

## ◆ Java_hdf_hdflib_HDFLibrary_ANwriteann()

JNIEXPORT jboolean JNICALL Java_hdf_hdflib_HDFLibrary_ANwriteann | ( | JNIEnv * | env,
|  | jclass | clss,
|  | jlong | ann_id,
|  | jstring | label,
|  | jint | ann_length )